Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.css.parser
Class DefaultErrorHandler

    java.lang.Object
      org.apache.batik.css.parser.DefaultErrorHandler

All Implemented Interfaces:
  ErrorHandler

public class DefaultErrorHandler
extends java.lang.Object
implements ErrorHandler

This class provides a default implementation of the `ErrorHandler` interface.

Field Summary
`static ErrorHandler` | `INSTANCE` The instance of this class.

Constructor Summary
`protected` | `DefaultErrorHandler()` This class does not need to be instantiated.

Method Summary
`void` | `error(CSSParseException e)` SAC: Implements {ErrorHandler#error(CSSParseException)}.
`void` | `fatalError(CSSParseException e)` SAC: Implements {ErrorHandler#fatalError(CSSParseException)}.
`void` | `warning(CSSParseException e)` SAC: Implements {ErrorHandler#warning(CSSParseException)}.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ErrorHandler INSTANCE

  The instance of this class.

Constructor Detail

### DefaultErrorHandler

    protected DefaultErrorHandler()

  This class does not need to be instantiated.

Method Detail

### warning

    public void warning(CSSParseException e)

  SAC: Implements {ErrorHandler#warning(CSSParseException)}.

  Specified by:
    `warning` in interface `ErrorHandler`
  Parameters:
    `e` - The warning information encapsulated in a CSS parse exception.
  See Also:
    `CSSParseException`

### error

    public void error(CSSParseException e)

  SAC: Implements {ErrorHandler#error(CSSParseException)}.

  Specified by:
    `error` in interface `ErrorHandler`
  Parameters:
    `e` - The error information encapsulated in a CSS parse exception.
  See Also:
    `CSSParseException`

### fatalError

    public void fatalError(CSSParseException e)

  SAC: Implements {ErrorHandler#fatalError(CSSParseException)}.

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Parameters:
    `e` - The error information encapsulated in a CSS parse exception.
  See Also:
    `CSSParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.